### Function

# Dex dtls_connection_handshake

unstable since: 1.2

#### Declaration [src]

    DexFuture*
    dex_dtls_connection_handshake (
      GDtlsConnection* dtls_connection,
      int io_priority
    )

#### Description [src]

Wraps `g_dtls_connection_handshake_async()`.

Available since: 1.2

#### Parameters

`dtls_connection`

  Type: `GDtlsConnection`

  A `GDtlsConnection`.

  The data is owned by the caller of the function.

`io_priority`

  Type: `int`

  Priority for the IO operation.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to `TRUE` or rejects with error.

The caller of the function takes ownership of the data, and is responsible for freeing it.